# COSS Metadata Template
# Fill in each required field. Remove comments when populating.

##########################################################
# 1. Basic Project Information
name = "your-project-name"
version = "0.1.0"
description = "A concise description of your project."

licenses = ["MIT", "Apache-2.0", "GPL-3.0", "Proprietary"]
ai_contributions = true
coss_compliant = true

homepage = "https://your-org.github.io/your-project/"
keywords = ["coss", "cli", "example"]

##########################################################
# 2. Repository and Issue Tracking
repository = "https://github.com/your-org/your-project"
issue_tracker = "https://github.com/your-org/your-project/issues"
documentation = "https://github.com/your-org/your-project/wiki"
security_policy = "SECURITY.md"

##########################################################
# 3. Languages, Frameworks, and Platforms
languages = ["Rust", "JavaScript", "Ruby"]

[frameworks]
backend = { name = "Rails", version = "7.0.4" }
frontend = { name = "Next.js", version = "13.2.1" }

supported_platforms = ["linux", "darwin", "windows", "arm64"]

##########################################################
# 4. Dependency Lock Files
[dependency_locks]
rust = "Cargo.lock"
javascript = "yarn.lock"
ruby = "Gemfile.lock"
python = "poetry.lock"

[packaging]
rust = "cargo package"
javascript = "yarn build"
ruby = "gem build your_project.gemspec"

##########################################################
# 5. Maintainers and Governance
maintainers = ["alice@example.com", "bob@example.com"]
governance = { type = "meritocratic", chair = "alice@example.com", members = [
    "bob@example.com",
    "carol@example.com",
] }

##########################################################
# 6. Linting, Formatting, and Static Analysis
lint = "rubocop -R"
format = "prettier --write \"src/**/*.{js,ts,jsx,tsx}\""
static_analysis = [
    "eslint --config .eslintrc.yaml",
    "cargo clippy --all -- -D warnings",
]

##########################################################
# 7. CI and Build Commands
build = "cd src && make build"
test = "make test"
coverage = "make coverage"

##########################################################
# 8. Tests and Quality Metrics
[test_frameworks]
rust = "cargo test --all"
javascript = "jest --ci"
ruby = "rspec"

test_report_format = "JUnit"
coverage_threshold = 80

##########################################################
# 9. Commit Guidelines and Formats
commit_message_format = "Conventional Commits"

##########################################################
# 10. Release and Changelog
changelog = "CHANGELOG.md"
release_tag_pattern = "v{version}"

##########################################################
# 11. Badges and Integrations (Optional)
[badges]
ci = "https://github.com/your-org/your-project/actions/workflows/ci.yml/badge.svg"
coverage = "https://coveralls.io/repos/github/your-org/your-project/badge.svg"
license_badge = "https://img.shields.io/badge/license-Open%20Source-blue.svg"

##########################################################
# 12. Optional Miscellaneous Fields
chat = "https://discord.gg/your-community"
support = { type = "email", contact = "support@your-org.com" }
apidocs = "https://api.your-org.com/v1/docs"

##########################################################
# 13. Environment and Runtime Info
[environments]
rust = "stable"
node = "18.x"
ruby = "3.2.2"
python = "3.11"

##########################################################
# 14. Data Schemas and Contracts
[data_contracts]
openapi = "openapi.yaml"
graphql = "schema.graphql"
avro = "schemas/user.avsc"

##########################################################
# 15. Project Classification
project_type = "library"
maturity = "experimental"
audience = ["developers", "end-users", "researchers"]

##########################################################
# 16. Localization / Internationalization
[i18n]
default_locale = "en"
supported_locales = ["en", "fr", "es"]
translation_files = "locales/"

##########################################################
# 17. Contribution Automation
[contribution_tooling]
dependabot = true
precommit_hooks = true
ai_review = "enabled"
codeowners = "CODEOWNERS"

##########################################################
# 18. Security Scanning and SBOM
[security]
sbom = "sbom.spdx.json"
vulnerability_scanner = "trivy"
license_compliance_tool = "fossa"

##########################################################
# 19. Documentation Quality Flags
[docs]
coverage = 90
style = "Diataxis"
ai_summary_enabled = true
